%define url_ver %(echo %{version}|cut -d. -f1,2)
%global __provides_exclude_from %{_libdir}/%{name}
%global __requires_exclude_from %{_libdir}/%{name}

Name:		gnome-sound-recorder
Version:	40.0
Release:	%mkrel 1
Summary:	A simple, modern sound recorder
License:	GPLv2+ and LGPLv2+
Group:		Sound
URL:		https://wiki.gnome.org/Apps/Polari
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz


BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer1.0-tools
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	gstreamer1.0-plugins-base
BuildRequires:	gstreamer1.0-plugins-good
BuildRequires:   gstreamer1.0-plugins-ugly
BuildRequires:	libtool
BuildRequires:  sd
BuildRequires:  lib64mozjs60-devel
BuildRequires:  lib64handy-devel
Requires:	gjs
Requires:	gsettings-desktop-schemas
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:   gstreamer1.0-plugins-ugly
Requires:    ffmpeg2theora
Requires:    flac
Requires:    twolame
Requires:    mp3gain
Requires:    speex
Requires:    vorbis-tools
Requires:    vorbisgain

%description
A simple, modern sound recorder for the desktop.
Clips are saved in the Recordings folder.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

sd "Sound Recorder" "GSound Recorder" %buildroot/%{_datadir}/applications/org.gnome.SoundRecorder.desktop

%find_lang org.gnome.SoundRecorder

%files -f org.gnome.SoundRecorder.lang
%doc AUTHORS README.md NEWS
%{_bindir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/org.gnome.SoundRecorder.desktop
%{_iconsdir}/*/*/*/*
%{_datadir}/metainfo/org.gnome.SoundRecorder.metainfo.xml
%{_datadir}/org.gnome.SoundRecorder/org.gnome.SoundRecorder
%{_datadir}/org.gnome.SoundRecorder/org.gnome.SoundRecorder.data.gresource
%{_datadir}/org.gnome.SoundRecorder/org.gnome.SoundRecorder.src.gresource

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%changelog
* Fri Apr 02 2021 tex - 40.0-1pclos2021
- new version

* Tue Feb 16 2021 tex - 3.38.1-1pclos2021
- new version

* Sun Sep 20 2020 tex - 3.38.0-1pclos2020
- new version

* Wed Apr 17 2019 tex 3.32.0-1pclos2019
- new version 3.32.0
